All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.events.broker
Class EventBrokerServiceFactory

    com.sas.services.events.broker.EventBrokerServiceFactory

All Implemented Interfaces:
  ServiceFactoryInterface

Deprecated. As of release 9.3, replaced by SAS Midtier Eventing Architecture.

    public class EventBrokerServiceFactory

Factory used to manufacture an Event Broker service.

The manufactured service will implement the following interfaces:

- `RemoteServiceInterface`
- `EventBrokerServiceInterface`

Since:
  1.0
See Also:
  `AbstractServiceFactory`

Constructor Summary
`EventBrokerServiceFactory()` Deprecated. Constructs a default instance.

Method Summary
`static EventBrokerServiceInterface` | `createService(ServiceConfigurationInterface serviceConfiguration, DiscoveryServiceInterface discoveryService)` Deprecated. Instantiates a new Event Broker service initialized with the specified configuration.
`RemoteServiceInterface` | `getService(ServiceConfigurationInterface serviceConfiguration, DiscoveryServiceInterface discoveryService)` Deprecated. Instantiates a new Event Broker service initialized with the specified configuration.

Methods inherited from class com.sas.services.AbstractServiceFactory
`getService, getServiceProfile, isSingletonFactory`

Constructor Detail

### EventBrokerServiceFactory

    public EventBrokerServiceFactory()

  Deprecated.
  Constructs a default instance.

Method Detail

### getService

    public final RemoteServiceInterface getService(ServiceConfigurationInterface serviceConfiguration,
                                                   DiscoveryServiceInterface discoveryService)
                                            throws ServiceException

  Deprecated.
  Instantiates a new Event Broker service initialized with the specified configuration.

  Specified by:
    `getService` in interface `ServiceFactoryInterface`
  Specified by:
    `getService` in class `AbstractServiceFactory`
  Parameters:
    `serviceConfiguration` - Service configuration
    `discoveryService` - This discovery service which may be used to locate other services. A service which can be discovered must register itself with this discovery service.
  Returns:
    A service that implements `EventBrokerServiceInterface`.
  Throws:
    `ServiceException` - if unable to create an Event Broker service. This exception may wrap a `RemoteException`.
  See Also:
    `AbstractServiceFactory.getService(ServiceConfigurationInterface)`

### createService

    public static final EventBrokerServiceInterface createService(ServiceConfigurationInterface serviceConfiguration,
                                                                  DiscoveryServiceInterface discoveryService)
                                                           throws ServiceException

  Deprecated.
  Instantiates a new Event Broker service initialized with the specified configuration.

  Parameters:
    `serviceConfiguration` - Service configuration
  Returns:
    A service that implements `EventBrokerServiceInterface`.
  Throws:
    `ServiceException` - if unable to create an Event Broker service. This exception may wrap a `RemoteException`.

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.